TOMOYO-SETPROFILE(8)

NAME
tomoyo-setprofile - profile assignment utility for TOMOYO Linux

SYNOPSIS
tomoyo-setprofile [options] <number> <domain> [<domain> ...]

DESCRIPTION
This program assigns the specified profile number to the specified domain.

OPTIONS
-r
    Apply the specified profile number to all domains whose domain name starts with the specified string.

<number>
    The profile number must be an integer between 0 and 255.

<domain>
    The string must be quoted or escaped in order to avoid misinterpretation by the shell. It only matches an exact string unless the -r option is specified.

EXAMPLES
Assign profile 0 to all domains:
tomoyo-setprofile -r 0 '<kernel>'

Assign profile 1 to sshd and httpd domains:
tomoyo-setprofile 1 '<kernel> /usr/sbin/sshd' '<kernel> /usr/sbin/httpd'

NOTES
You can see list of profiles currently assigned via /sys/kernel/security/tomoyo/.domain_status .

Before this program can be invoked, it must be registered in /sys/kernel/security/tomoyo/manager. After initializing policy, this is usually as simple as rebooting the system.

BUGS
If there are any bugs, send an email with as much detail as possible to tomoyo-users-en@lists.sourceforge.jp

AUTHORS

Main authors:

    • Tetsuo Handa <penguin-kernel AT I-love.SAKURA.ne.jp>

Other contributers:

    • Jamie Nguyen <jamie AT tomoyolinux.co.uk>

    Man pages, documentation and website.

SEE ALSO
tomoyo-pstree(8)

See http://tomoyo.sourceforge.jp/ for more information.